home *** CD-ROM | disk | FTP | other *** search
/ Geek Gadgets 1 / ADE-1.bin / ade-dist / rcs-5.7-diffs.gz / rcs-5.7-diffs
Text File  |  1996-10-13  |  29KB  |  868 lines

  1. This file contains patches that transform the baseline version into
  2. the amiga version.  Assuming that you have unarchived the baseline
  3. version in the current directory, just run the command:
  4.  
  5.     patch -p1 -E -b .pbak <diff-file
  6.  
  7. where 'diff-file' is this patch file.  After running patch you should
  8. remove all the generated *.pbak files, and look for any *.rej files
  9. that indicate a problem patching the baseline source.
  10.  
  11. diff -rup --new-file baseline/fsf/rcs/Product-Info amiga/fsf/rcs/Product-Info
  12. --- baseline/fsf/rcs/Product-Info    Wed Dec 31 17:00:00 1969
  13. +++ amiga/fsf/rcs/Product-Info    Sat Sep 28 00:00:00 1996
  14. @@ -0,0 +1,22 @@
  15. +.name
  16. +rcs
  17. +.fullname
  18. +Revision Control System
  19. +.type
  20. +Programmer Tool
  21. +.short
  22. +Revision Control System
  23. +.description
  24. +RCS, the Revision Control System, manages multiple revisions of files.
  25. +RCS can store, retrieve, log, identify, and merge revisions.  It is
  26. +useful for files that are revised frequently, e.g. programs,
  27. +documentation, graphics, and papers.
  28. +.version
  29. +5.7
  30. +.author
  31. +Walter F. Tichy
  32. +et. al.
  33. +.distribution
  34. +GNU Public License
  35. +.described-by
  36. +Fred Fish (fnf@amigalib.com)
  37. diff -rup --new-file baseline/fsf/rcs/configure amiga/fsf/rcs/configure
  38. --- baseline/fsf/rcs/configure    Thu Jun 15 23:57:50 1995
  39. +++ amiga/fsf/rcs/configure    Mon Sep 30 22:49:09 1996
  40. @@ -1,8 +1,8 @@
  41.  #! /bin/sh
  42.  
  43.  # Guess values for system-dependent variables and create Makefiles.
  44. -# Generated automatically using autoconf version 2.4 
  45. -# Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc.
  46. +# Generated automatically using autoconf version 2.10 
  47. +# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
  48.  #
  49.  # This configure script is free software; the Free Software Foundation
  50.  # gives unlimited permission to copy, distribute and modify it.
  51. @@ -35,9 +35,25 @@ target=NONE
  52.  verbose=
  53.  x_includes=NONE
  54.  x_libraries=NONE
  55. +bindir='${exec_prefix}/bin'
  56. +sbindir='${exec_prefix}/sbin'
  57. +libexecdir='${exec_prefix}/libexec'
  58. +datadir='${prefix}/share'
  59. +sysconfdir='${prefix}/etc'
  60. +sharedstatedir='${prefix}/com'
  61. +localstatedir='${prefix}/var'
  62. +libdir='${exec_prefix}/lib'
  63. +includedir='${prefix}/include'
  64. +oldincludedir='/usr/include'
  65. +infodir='${prefix}/info'
  66. +guidedir='${prefix}/guide'
  67. +psdir='${prefix}/ps'
  68. +dvidir='${prefix}/dvi'
  69. +mandir='${prefix}/man'
  70.  
  71.  # Initialize some other variables.
  72.  subdirs=
  73. +MFLAGS= MAKEFLAGS=
  74.  
  75.  ac_prev=
  76.  for ac_option
  77. @@ -59,9 +75,14 @@ do
  78.  
  79.    case "$ac_option" in
  80.  
  81. -  -build | --build | --buil | --bui | --bu | --b)
  82. +  -bindir | --bindir | --bindi | --bind | --bin | --bi)
  83. +    ac_prev=bindir ;;
  84. +  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
  85. +    bindir="$ac_optarg" ;;
  86. +
  87. +  -build | --build | --buil | --bui | --bu)
  88.      ac_prev=build ;;
  89. -  -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
  90. +  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
  91.      build="$ac_optarg" ;;
  92.  
  93.    -cache-file | --cache-file | --cache-fil | --cache-fi \
  94. @@ -71,6 +92,12 @@ do
  95.    | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
  96.      cache_file="$ac_optarg" ;;
  97.  
  98. +  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
  99. +    ac_prev=datadir ;;
  100. +  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
  101. +  | --da=*)
  102. +    datadir="$ac_optarg" ;;
  103. +
  104.    -disable-* | --disable-*)
  105.      ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
  106.      # Reject names that are not valid shell variable names.
  107. @@ -121,12 +148,32 @@ Configuration:
  108.  Directory and file names:
  109.    --prefix=PREFIX         install architecture-independent files in PREFIX
  110.                            [$ac_default_prefix]
  111. -  --exec-prefix=PREFIX    install architecture-dependent files in PREFIX
  112. +  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
  113.                            [same as prefix]
  114. +  --bindir=DIR            user executables in DIR [EPREFIX/bin]
  115. +  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  116. +  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  117. +  --datadir=DIR           read-only architecture-independent data in DIR
  118. +                          [PREFIX/share]
  119. +  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  120. +  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
  121. +                          [PREFIX/com]
  122. +  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  123. +  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  124. +  --includedir=DIR        C header files in DIR [PREFIX/include]
  125. +  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  126. +  --infodir=DIR           info documentation in DIR [PREFIX/info]
  127. +  --guidedir=DIR          Amigaguide documentation in DIR [PREFIX/guide]
  128. +  --psdir=DIR             postscript documentation in DIR [PREFIX/ps]
  129. +  --dvidir=DIR            TeX dvi documentation in DIR [PREFIX/dvi]
  130. +  --mandir=DIR            man documentation in DIR [PREFIX/man]
  131.    --srcdir=DIR            find the sources in DIR [configure dir or ..]
  132.    --program-prefix=PREFIX prepend PREFIX to installed program names
  133.    --program-suffix=SUFFIX append SUFFIX to installed program names
  134. -  --program-transform-name=PROGRAM run sed PROGRAM on installed program names
  135. +  --program-transform-name=PROGRAM
  136. +                          run sed PROGRAM on installed program names
  137. +EOF
  138. +    cat << EOF
  139.  Host type:
  140.    --build=BUILD           configure for building on BUILD [BUILD=HOST]
  141.    --host=HOST             configure for HOST [guessed]
  142. @@ -138,8 +185,10 @@ Features and packages:
  143.    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  144.    --x-includes=DIR        X include files are in DIR
  145.    --x-libraries=DIR       X library files are in DIR
  146. ---enable and --with options recognized:$ac_help
  147.  EOF
  148. +    if test -n "$ac_help"; then
  149. +      echo "--enable and --with options recognized:$ac_help"
  150. +    fi
  151.      exit 0 ;;
  152.  
  153.    -host | --host | --hos | --ho)
  154. @@ -147,6 +196,56 @@ EOF
  155.    -host=* | --host=* | --hos=* | --ho=*)
  156.      host="$ac_optarg" ;;
  157.  
  158. +  -includedir | --includedir | --includedi | --included | --include \
  159. +  | --includ | --inclu | --incl | --inc)
  160. +    ac_prev=includedir ;;
  161. +  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  162. +  | --includ=* | --inclu=* | --incl=* | --inc=*)
  163. +    includedir="$ac_optarg" ;;
  164. +
  165. +  -infodir | --infodir | --infodi | --infod | --info | --inf)
  166. +    ac_prev=infodir ;;
  167. +  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
  168. +    infodir="$ac_optarg" ;;
  169. +
  170. + -guidedir | --guidedir | --guidedi | --guided | --guide | --gui)
  171. +   ac_prev=guidedir ;;
  172. + -guidedir=* | --guidedir=* | --guidedi=* | --guided=* | --guide=* |--gui=*)+    guidedir="$ac_optarg" ;;
  173. +
  174. + -psdir | --psdir | --psdi | --psd | --ps)
  175. +   ac_prev=psdir ;;
  176. + -psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)+    psdir="$ac_optarg" ;;
  177. +
  178. + -dvidir | --dvidir | --dvidi | --dvid | --dvi | --dv)
  179. +   ac_prev=dvidir ;;
  180. + -dvidir=* | --dvidir=* | --dvidi=* | --dvid=* | --dvi=* |--dv=*)+    dvidir="$ac_optarg" ;;
  181. +
  182. +  -libdir | --libdir | --libdi | --libd)
  183. +    ac_prev=libdir ;;
  184. +  -libdir=* | --libdir=* | --libdi=* | --libd=*)
  185. +    libdir="$ac_optarg" ;;
  186. +
  187. +  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  188. +  | --libexe | --libex | --libe)
  189. +    ac_prev=libexecdir ;;
  190. +  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  191. +  | --libexe=* | --libex=* | --libe=*)
  192. +    libexecdir="$ac_optarg" ;;
  193. +
  194. +  -localstatedir | --localstatedir | --localstatedi | --localstated \
  195. +  | --localstate | --localstat | --localsta | --localst \
  196. +  | --locals | --local | --loca | --loc | --lo)
  197. +    ac_prev=localstatedir ;;
  198. +  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  199. +  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  200. +  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
  201. +    localstatedir="$ac_optarg" ;;
  202. +
  203. +  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
  204. +    ac_prev=mandir ;;
  205. +  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
  206. +    mandir="$ac_optarg" ;;
  207. +
  208.    -nfp | --nfp | --nf)
  209.      # Obsolete; use --without-fp.
  210.      with_fp=no ;;
  211. @@ -159,6 +258,15 @@ EOF
  212.    | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
  213.      no_recursion=yes ;;
  214.  
  215. +  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  216. +  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  217. +  | --oldin | --oldi | --old | --ol | --o)
  218. +    ac_prev=oldincludedir ;;
  219. +  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  220. +  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  221. +  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
  222. +    oldincludedir="$ac_optarg" ;;
  223. +
  224.    -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
  225.      ac_prev=prefix ;;
  226.    -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
  227. @@ -199,6 +307,23 @@ EOF
  228.    | -silent | --silent | --silen | --sile | --sil)
  229.      silent=yes ;;
  230.  
  231. +  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
  232. +    ac_prev=sbindir ;;
  233. +  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  234. +  | --sbi=* | --sb=*)
  235. +    sbindir="$ac_optarg" ;;
  236. +
  237. +  -sharedstatedir | --sharedstatedir | --sharedstatedi \
  238. +  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  239. +  | --sharedst | --shareds | --shared | --share | --shar \
  240. +  | --sha | --sh)
  241. +    ac_prev=sharedstatedir ;;
  242. +  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  243. +  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  244. +  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  245. +  | --sha=* | --sh=*)
  246. +    sharedstatedir="$ac_optarg" ;;
  247. +
  248.    -site | --site | --sit)
  249.      ac_prev=site ;;
  250.    -site=* | --site=* | --sit=*)
  251. @@ -209,6 +334,13 @@ EOF
  252.    -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
  253.      srcdir="$ac_optarg" ;;
  254.  
  255. +  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  256. +  | --syscon | --sysco | --sysc | --sys | --sy)
  257. +    ac_prev=sysconfdir ;;
  258. +  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  259. +  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
  260. +    sysconfdir="$ac_optarg" ;;
  261. +
  262.    -target | --target | --targe | --targ | --tar | --ta | --t)
  263.      ac_prev=target ;;
  264.    -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
  265. @@ -218,7 +350,7 @@ EOF
  266.      verbose=yes ;;
  267.  
  268.    -version | --version | --versio | --versi | --vers)
  269. -    echo "configure generated by autoconf version 2.4"
  270. +    echo "configure generated by autoconf version 2.10"
  271.      exit 0 ;;
  272.  
  273.    -with-* | --with-*)
  274. @@ -264,7 +396,7 @@ EOF
  275.    -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
  276.      ;;
  277.  
  278. -  *) 
  279. +  *)
  280.      if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
  281.        echo "configure: warning: $ac_option: invalid host type" 1>&2
  282.      fi
  283. @@ -384,8 +516,8 @@ fi
  284.  ac_ext=c
  285.  # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
  286.  ac_cpp='$CPP $CPPFLAGS'
  287. -ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5 2>&5'
  288. -ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5 2>&5'
  289. +ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
  290. +ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
  291.  
  292.  if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  293.    # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  294. @@ -412,8 +544,8 @@ a1 1
  295.  EOF
  296.  
  297.  # Check whether --with-diffutils or --without-diffutils was given.
  298. -withval="$with_diffutils"
  299. -if test -n "$withval"; then
  300. +if test "${with_diffutils+set}" = set; then
  301. +  withval="$with_diffutils"
  302.    with_diffutils=$withval
  303.  else
  304.    with_diffutils=no
  305. @@ -421,6 +553,11 @@ else
  306.  fi
  307.  
  308.  
  309. +# Amiga hack - for now force --with-diffutils, since that is
  310. +# currently true.  The tests for diff3 seem to fail for some 
  311. +# currently unknown reason.  -fnf
  312. +with_diffutils=yes
  313. +
  314.  case $with_diffutils in
  315.  yes)
  316.    : ${DIFF='$(bindir)/diff'}
  317. @@ -445,7 +582,7 @@ else
  318.    rcs_cv_prog_diff=$DIFF
  319.    case $rcs_cv_prog_diff in
  320.    '')
  321. -    for i in diff /usr/lib/rdiff rdiff
  322. +    for i in diff /ade/lib/rdiff rdiff
  323.      do
  324.        sh -c "exec $i -n conftest0 conftest1" >conftestout 2>/dev/null
  325.        case $? in
  326. @@ -626,8 +763,8 @@ case $DIFF_L in
  327.  esac
  328.  
  329.  # Set DIFF3 to the name of the diff3 program.
  330. -# In some systems (e.g. BSD/OS 2.0), diffutils diff3 lives in /usr/libexec.
  331. -diff3PATH=$PATH:/usr/libexec
  332. +# In some systems (e.g. BSD/OS 2.0), diffutils diff3 lives in /ade/libexec.
  333. +diff3PATH=$PATH:/ade/libexec
  334.  
  335.  echo $ac_n "checking diff3 -m""... $ac_c" 1>&6
  336.  if eval "test \"`echo '$''{'rcs_cv_prog_diff3_bin'+set}'`\" = set"; then
  337. @@ -702,7 +839,7 @@ else
  338.    
  339.      $DIFF conftest0 conftest1 >conftest01
  340.      $DIFF /dev/null conftest1 >conftestn1
  341. -    for i in /usr/*lib*/*diff3*; do
  342. +    for i in /ade/*lib*/*diff3*; do
  343.        sh -c "exec $i -E conftest01 conftestn1 conftest0 /dev/null conftest1" >conftestout 2>/dev/null
  344.        # The exit status is arbitrary!  Test the output a bit.
  345.        if
  346. @@ -771,7 +908,7 @@ fi
  347.  
  348.  
  349.  ac_save_path=$PATH
  350. -PATH=/usr/lib:/usr/bin:/bin:/usr/sbin:/sbin:$PATH
  351. +PATH=/ade/lib:/ade/bin:/bin:$PATH
  352.  for ac_prog in sendmail mail mailx
  353.  do
  354.  # Extract the first word of "$ac_prog", so it can be a program name with args.
  355. @@ -867,7 +1004,6 @@ else
  356.      fi
  357.    done
  358.    IFS="$ac_save_ifs"
  359. -  test -z "$ac_cv_prog_CC" && ac_cv_prog_CC="cc"
  360.  fi
  361.  fi
  362.  CC="$ac_cv_prog_CC"
  363. @@ -877,6 +1013,55 @@ else
  364.    echo "$ac_t""no" 1>&6
  365.  fi
  366.  
  367. +if test -z "$CC"; then
  368. +  # Extract the first word of "cc", so it can be a program name with args.
  369. +set dummy cc; ac_word=$2
  370. +echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
  371. +if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
  372. +  echo $ac_n "(cached) $ac_c" 1>&6
  373. +else
  374. +  if test -n "$CC"; then
  375. +  ac_cv_prog_CC="$CC" # Let the user override the test.
  376. +else
  377. +  IFS="${IFS=     }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  378. +  ac_prog_rejected=no
  379. +  for ac_dir in $PATH; do
  380. +    test -z "$ac_dir" && ac_dir=.
  381. +    if test -f $ac_dir/$ac_word; then
  382. +      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
  383. +        ac_prog_rejected=yes
  384. +    continue
  385. +      fi
  386. +      ac_cv_prog_CC="cc"
  387. +      break
  388. +    fi
  389. +  done
  390. +  IFS="$ac_save_ifs"
  391. +if test $ac_prog_rejected = yes; then
  392. +  # We found a bogon in the path, so make sure we never use it.
  393. +  set dummy $ac_cv_prog_CC
  394. +  shift
  395. +  if test $# -gt 0; then
  396. +    # We chose a different compiler from the bogus one.
  397. +    # However, it has the same basename, so the bogon will be chosen
  398. +    # first if we set CC to just the basename; use the full file name.
  399. +    shift
  400. +    set dummy "$ac_dir/$ac_word" "$@"
  401. +    shift
  402. +    ac_cv_prog_CC="$@"
  403. +  fi
  404. +fi
  405. +fi
  406. +fi
  407. +CC="$ac_cv_prog_CC"
  408. +if test -n "$CC"; then
  409. +  echo "$ac_t""$CC" 1>&6
  410. +else
  411. +  echo "$ac_t""no" 1>&6
  412. +fi
  413. +
  414. +  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
  415. +fi
  416.  
  417.  echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
  418.  if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
  419. @@ -887,12 +1072,13 @@ else
  420.    yes;
  421.  #endif
  422.  EOF
  423. -if ${CC-cc} -E conftest.c 2>&5 | egrep yes >/dev/null 2>&1; then
  424. +if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1076: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
  425.    ac_cv_prog_gcc=yes
  426.  else
  427.    ac_cv_prog_gcc=no
  428.  fi
  429.  fi
  430. +
  431.  echo "$ac_t""$ac_cv_prog_gcc" 1>&6
  432.  if test $ac_cv_prog_gcc = yes; then
  433.    GCC=yes
  434. @@ -910,11 +1096,12 @@ fi
  435.  rm -f conftest*
  436.  
  437.  fi
  438. -    echo "$ac_t""$ac_cv_prog_gcc_g" 1>&6
  439. +
  440. +echo "$ac_t""$ac_cv_prog_gcc_g" 1>&6
  441.      if test $ac_cv_prog_gcc_g = yes; then
  442. -      CFLAGS="-g -O"
  443. +      CFLAGS="-g -O2"
  444.      else
  445. -      CFLAGS="-O"
  446. +      CFLAGS="-O2"
  447.      fi
  448.    fi
  449.  else
  450. @@ -948,6 +1135,7 @@ ac_configure=$ac_aux_dir/configure # Thi
  451.  # SunOS /usr/etc/install
  452.  # IRIX /sbin/install
  453.  # AIX /bin/install
  454. +# AmigaOS /c/install
  455.  # AFS /usr/afsws/bin/install, which mishandles nonexistent args
  456.  # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
  457.  # ./install, which can be erroneously created by make from ./install.sh.
  458. @@ -960,7 +1148,7 @@ else
  459.    for ac_dir in $PATH; do
  460.      # Account for people who put trailing slashes in PATH elements.
  461.      case "$ac_dir/" in
  462. -    /|./|.//|/etc/*|/usr/sbin/*|/usr/etc/*|/sbin/*|/usr/afsws/bin/*|/usr/ucb/*) ;;
  463. +    /|./|.//|/etc/*|/c/*|/usr/sbin/*|/usr/etc/*|/sbin/*|/usr/afsws/bin/*|/usr/ucb/*) ;;
  464.      *)
  465.        # OSF1 and SCO ODT 3.0 have their own names for install.
  466.        for ac_prog in ginstall installbsd scoinst install; do
  467. @@ -980,10 +1168,17 @@ else
  468.      esac
  469.    done
  470.    IFS="$ac_save_ifs"
  471. -  # As a last resort, use the slow shell script.
  472. -  test -z "$ac_cv_path_install" && ac_cv_path_install="$ac_install_sh"
  473. +
  474.  fi
  475. -  INSTALL="$ac_cv_path_install"
  476. +  if test "${ac_cv_path_install+set}" = set; then
  477. +    INSTALL="$ac_cv_path_install"
  478. +  else
  479. +    # As a last resort, use the slow shell script.  We don't cache a
  480. +    # path for INSTALL within a source directory, because that will
  481. +    # break other packages using the cache if that directory is
  482. +    # removed, or if the path is relative.
  483. +    INSTALL="$ac_install_sh"
  484. +  fi
  485.  fi
  486.  echo "$ac_t""$INSTALL" 1>&6
  487.  
  488. @@ -1073,7 +1268,7 @@ trap 'rm -f $CONFIG_STATUS conftest*; ex
  489.  # Protect against shell expansion while executing Makefile rules.
  490.  # Protect against Makefile macro expansion.
  491.  cat > conftest.defs <<\EOF
  492. -s%#define \([A-Za-z_][A-Za-z0-9_]*\) \(.*\)%-D\1=\2%g
  493. +s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
  494.  s%[     `~#$^&*(){}\\|;'"<>?]%\\&%g
  495.  s%\[%\\&%g
  496.  s%\]%\\&%g
  497. @@ -1087,7 +1282,9 @@ rm -f conftest.defs
  498.  : ${CONFIG_STATUS=./config.status}
  499.  
  500.  echo creating $CONFIG_STATUS
  501. -rm -f $CONFIG_STATUS
  502. +# Some systems, like AmigaOS, won't allow you to remove a script that is
  503. +# being executed, so just move it out of the way instead.
  504. +if test -f $CONFIG_STATUS; then mv $CONFIG_STATUS $CONFIG_STATUS.old; else true; fi
  505.  cat > $CONFIG_STATUS <<EOF
  506.  #! /bin/sh
  507.  # Generated automatically by configure.
  508. @@ -1108,7 +1305,7 @@ do
  509.      echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
  510.      exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
  511.    -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
  512. -    echo "$CONFIG_STATUS generated by autoconf version 2.4"
  513. +    echo "$CONFIG_STATUS generated by autoconf version 2.10"
  514.      exit 0 ;;
  515.    -help | --help | --hel | --he | --h)
  516.      echo "\$ac_cs_usage"; exit 0 ;;
  517. @@ -1120,10 +1317,12 @@ ac_given_srcdir=$srcdir
  518.  ac_given_INSTALL="$INSTALL"
  519.  
  520.  trap 'rm -fr `echo "Makefile man/Makefile src/Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
  521. +EOF
  522. +cat >> $CONFIG_STATUS <<EOF
  523.  
  524. -# Protect against being on the right side of a sed subst in config.status. 
  525. -sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\\\&%]/\\\\&/g; 
  526. - s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
  527. +# Protect against being on the right side of a sed subst in config.status.
  528. +sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
  529. + s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
  530.  $ac_vpsub
  531.  $extrasub
  532.  s%@CFLAGS@%$CFLAGS%g
  533. @@ -1135,6 +1334,21 @@ s%@LIBS@%$LIBS%g
  534.  s%@exec_prefix@%$exec_prefix%g
  535.  s%@prefix@%$prefix%g
  536.  s%@program_transform_name@%$program_transform_name%g
  537. +s%@bindir@%$bindir%g
  538. +s%@sbindir@%$sbindir%g
  539. +s%@libexecdir@%$libexecdir%g
  540. +s%@datadir@%$datadir%g
  541. +s%@sysconfdir@%$sysconfdir%g
  542. +s%@sharedstatedir@%$sharedstatedir%g
  543. +s%@localstatedir@%$localstatedir%g
  544. +s%@libdir@%$libdir%g
  545. +s%@includedir@%$includedir%g
  546. +s%@oldincludedir@%$oldincludedir%g
  547. +s%@infodir@%$infodir%g
  548. +s%@guidedir@%$guidedir%g
  549. +s%@psdir@%$psdir%g
  550. +s%@dvidir@%$dvidir%g
  551. +s%@mandir@%$mandir%g
  552.  s%@DIFF@%$DIFF%g
  553.  s%@DIFF_SUCCESS@%$DIFF_SUCCESS%g
  554.  s%@DIFF_FAILURE@%$DIFF_FAILURE%g
  555. @@ -1216,6 +1430,7 @@ rm -f conftest.subs
  556.  exit 0
  557.  EOF
  558.  chmod +x $CONFIG_STATUS
  559. +rm -f CONFIG.STATUS.old
  560.  rm -fr confdefs* $ac_clean_files
  561.  test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
  562.  
  563. diff -rup --new-file baseline/fsf/rcs/configure.in amiga/fsf/rcs/configure.in
  564. --- baseline/fsf/rcs/configure.in    Thu Jun 15 23:19:24 1995
  565. +++ amiga/fsf/rcs/configure.in    Sat Sep 28 00:00:00 1996
  566. @@ -21,6 +21,11 @@ AC_ARG_WITH(diffutils,
  567.    [with_diffutils=no]
  568.  )
  569.  
  570. +# Amiga hack - for now force --with-diffutils, since that is
  571. +# currently true.  The tests for diff3 seem to fail for some 
  572. +# currently unknown reason.  -fnf
  573. +with_diffutils=yes
  574. +
  575.  case $with_diffutils in
  576.  yes)
  577.    : ${DIFF='$(bindir)/diff'}
  578. @@ -42,7 +47,7 @@ AC_CACHE_VAL(rcs_cv_prog_diff, [
  579.    rcs_cv_prog_diff=$DIFF
  580.    case $rcs_cv_prog_diff in
  581.    '')
  582. -    for i in diff /usr/lib/rdiff rdiff
  583. +    for i in diff /ade/lib/rdiff rdiff
  584.      do
  585.        sh -c "exec $i -n conftest0 conftest1" >conftestout 2>/dev/null
  586.        case $? in
  587. @@ -166,8 +171,8 @@ case $DIFF_L in
  588.  esac
  589.  
  590.  # Set DIFF3 to the name of the diff3 program.
  591. -# In some systems (e.g. BSD/OS 2.0), diffutils diff3 lives in /usr/libexec.
  592. -diff3PATH=$PATH:/usr/libexec
  593. +# In some systems (e.g. BSD/OS 2.0), diffutils diff3 lives in /ade/libexec.
  594. +diff3PATH=$PATH:/ade/libexec
  595.  AC_SUBST(DIFF3)
  596.  AC_MSG_CHECKING([diff3 -m])
  597.  AC_CACHE_VAL(rcs_cv_prog_diff3_bin, [
  598. @@ -206,7 +211,7 @@ case $rcs_cv_prog_diff3_bin in
  599.    AC_CACHE_VAL(rcs_cv_path_diff3_lib, [
  600.      $DIFF conftest0 conftest1 >conftest01
  601.      $DIFF /dev/null conftest1 >conftestn1
  602. -    for i in /usr/*lib*/*diff3*; do
  603. +    for i in /ade/*lib*/*diff3*; do
  604.        sh -c "exec $i -E conftest01 conftestn1 conftest0 /dev/null conftest1" >conftestout 2>/dev/null
  605.        # The exit status is arbitrary!  Test the output a bit.
  606.        if
  607. @@ -243,7 +248,7 @@ rm -f conftest*
  608.  AC_PATH_PROG(ED, ed, ed)
  609.  
  610.  ac_save_path=$PATH
  611. -PATH=/usr/lib:/usr/bin:/bin:/usr/sbin:/sbin:$PATH
  612. +PATH=/ade/lib:/ade/bin:/bin:$PATH
  613.  AC_PATH_PROGS(SENDMAIL, sendmail mail mailx)
  614.  PATH=$ac_save_path
  615.  case $SENDMAIL in
  616. diff -rup --new-file baseline/fsf/rcs/manifests/bin amiga/fsf/rcs/manifests/bin
  617. --- baseline/fsf/rcs/manifests/bin    Wed Dec 31 17:00:00 1969
  618. +++ amiga/fsf/rcs/manifests/bin    Sat Sep 28 00:00:00 1996
  619. @@ -0,0 +1,22 @@
  620. +COPYING
  621. +COPYING.info
  622. +bin/ci
  623. +bin/co
  624. +bin/ident
  625. +bin/merge
  626. +bin/rcs
  627. +bin/rcsclean
  628. +bin/rcsdiff
  629. +bin/rcsmerge
  630. +bin/rlog
  631. +man/man1/ci.1
  632. +man/man1/co.1
  633. +man/man1/ident.1
  634. +man/man1/merge.1
  635. +man/man1/rcs.1
  636. +man/man1/rcsclean.1
  637. +man/man1/rcsdiff.1
  638. +man/man1/rcsintro.1
  639. +man/man1/rcsmerge.1
  640. +man/man1/rlog.1
  641. +man/man5/rcsfile.5
  642. diff -rup --new-file baseline/fsf/rcs/manifests/src amiga/fsf/rcs/manifests/src
  643. --- baseline/fsf/rcs/manifests/src    Wed Dec 31 17:00:00 1969
  644. +++ amiga/fsf/rcs/manifests/src    Sat Sep 28 00:00:00 1996
  645. @@ -0,0 +1,70 @@
  646. +fsf/rcs/COPYING
  647. +fsf/rcs/CREDITS
  648. +fsf/rcs/ChangeLog
  649. +fsf/rcs/INSTALL
  650. +fsf/rcs/INSTALL.RCS
  651. +fsf/rcs/Makefile.in
  652. +fsf/rcs/NEWS
  653. +fsf/rcs/Product-Info
  654. +fsf/rcs/README
  655. +fsf/rcs/REFS
  656. +fsf/rcs/configure
  657. +fsf/rcs/configure.in
  658. +fsf/rcs/install-sh
  659. +fsf/rcs/man/COPYING
  660. +fsf/rcs/man/ChangeLog
  661. +fsf/rcs/man/Makefile.in
  662. +fsf/rcs/man/ci.1
  663. +fsf/rcs/man/co.1
  664. +fsf/rcs/man/ident.1
  665. +fsf/rcs/man/merge.1
  666. +fsf/rcs/man/rcs.1
  667. +fsf/rcs/man/rcsclean.1
  668. +fsf/rcs/man/rcsdiff.1
  669. +fsf/rcs/man/rcsfile.5
  670. +fsf/rcs/man/rcsfile.5in
  671. +fsf/rcs/man/rcsfreeze.1
  672. +fsf/rcs/man/rcsintro.1
  673. +fsf/rcs/man/rcsmerge.1
  674. +fsf/rcs/man/rlog.1
  675. +fsf/rcs/manifests/bin
  676. +fsf/rcs/manifests/src
  677. +fsf/rcs/mkinstalldirs
  678. +fsf/rcs/rcs.ms
  679. +fsf/rcs/rcs_func.ms
  680. +fsf/rcs/src/COPYING
  681. +fsf/rcs/src/ChangeLog
  682. +fsf/rcs/src/Makefile.in
  683. +fsf/rcs/src/TAGS
  684. +fsf/rcs/src/ci.c
  685. +fsf/rcs/src/co.c
  686. +fsf/rcs/src/conf.heg
  687. +fsf/rcs/src/conf.sh
  688. +fsf/rcs/src/ident.c
  689. +fsf/rcs/src/maketime.c
  690. +fsf/rcs/src/maketime.h
  691. +fsf/rcs/src/merge.c
  692. +fsf/rcs/src/merger.c
  693. +fsf/rcs/src/partime.c
  694. +fsf/rcs/src/partime.h
  695. +fsf/rcs/src/rcs.c
  696. +fsf/rcs/src/rcsbase.h
  697. +fsf/rcs/src/rcsclean.c
  698. +fsf/rcs/src/rcsdiff.c
  699. +fsf/rcs/src/rcsedit.c
  700. +fsf/rcs/src/rcsfcmp.c
  701. +fsf/rcs/src/rcsfnms.c
  702. +fsf/rcs/src/rcsfreeze.sh
  703. +fsf/rcs/src/rcsgen.c
  704. +fsf/rcs/src/rcskeep.c
  705. +fsf/rcs/src/rcskeys.c
  706. +fsf/rcs/src/rcslex.c
  707. +fsf/rcs/src/rcsmap.c
  708. +fsf/rcs/src/rcsmerge.c
  709. +fsf/rcs/src/rcsrev.c
  710. +fsf/rcs/src/rcssyn.c
  711. +fsf/rcs/src/rcstest
  712. +fsf/rcs/src/rcstime.c
  713. +fsf/rcs/src/rcsutil.c
  714. +fsf/rcs/src/rlog.c
  715. +fsf/rcs/src/version.c
  716. diff -rup --new-file baseline/fsf/rcs/src/conf.sh amiga/fsf/rcs/src/conf.sh
  717. --- baseline/fsf/rcs/src/conf.sh    Thu Jun 15 23:19:24 1995
  718. +++ amiga/fsf/rcs/src/conf.sh    Sat Sep 28 00:00:00 1996
  719. @@ -32,9 +32,9 @@ Id='$Id: conf.sh,v 5.25 1995/06/16 06:19
  720.  # and can be inspected for clues otherwise.
  721.  
  722.  # The Makefile overrides the following defaults.
  723. -: ${RCSPREFIX=/usr/local/bin/}
  724. -: ${ALL_CFLAGS=-Dhas_conf_h}
  725. -: ${CC=cc}
  726. +: ${RCSPREFIX=/ade/bin/}
  727. +: ${ALL_CFLAGS=-Dhas_conf_h -I. -I/gnu-src/src/rcs-5.7/src -O2}
  728. +: ${CC=gcc}
  729.  : ${COMPAT2=0}
  730.  : ${DIFF=${RCSPREFIX}diff}
  731.  : ${DIFF3=${DIFF}3}
  732. @@ -43,7 +43,7 @@ Id='$Id: conf.sh,v 5.25 1995/06/16 06:19
  733.  : ${DIFF_L=1}
  734.  : ${DIFF_SUCCESS=0} ${DIFF_FAILURE=1} ${DIFF_TROUBLE=2}
  735.  : ${ED=/bin/ed}
  736. -: ${SENDMAIL='"/usr/lib/sendmail"'}
  737. +: ${SENDMAIL=''}
  738.  # : ${LDFLAGS=} ${LIBS=} tickles old shell bug
  739.  
  740.  C="$CC $ALL_CFLAGS"
  741. @@ -78,8 +78,9 @@ rm -f a.d &&
  742.  date >a.d &&
  743.  chmod 0 a.d &&
  744.  { test -w a.d || cp /dev/null a.d 2>/dev/null; } && {
  745. -    echo >&3 "$n$0: This command should not be run with superuser permissions."
  746. -    exit 1
  747. +    # AmigaOS effectively always runs as superuser.
  748. +    #echo >&3 "$n$0: This command should not be run with superuser permissions."
  749. +    #exit 1
  750.  }
  751.  echo >&3 OK
  752.  rm -f a.d || exit
  753. @@ -293,7 +294,7 @@ echo >&3 $ok
  754.  echo "#define has_sys_param_h $h /* Does #include <sys/param.h> work?  */"
  755.  
  756.  # We must do errno next, because has_readlink needs it.
  757. -/* <errno.h> */
  758. +#-huh? /* <errno.h> */
  759.  $ech >&3 "$0: configuring errno $dots"
  760.  cat >a.c <<EOF
  761.  #include "$A_H"
  762. @@ -331,7 +332,8 @@ main() {
  763.  EOF
  764.  $PREPARE_CC a.sym* || exit
  765.  readlink_isreg_errno='?'
  766. -if (ln -s a.sym1 a.sym2 && $CL a.c $L) >&2 && readlink_isreg_errno=`$aout`
  767. +# fnf: run $aout first to make sure readlink_isreg_errno won't end up empty.
  768. +if (ln -s a.sym1 a.sym2 && $CL a.c $L) >&2 && $aout >/dev/null && readlink_isreg_errno=`$aout`
  769.  then h=1
  770.  else h=0
  771.  fi
  772. @@ -1335,7 +1337,10 @@ main() {
  773.  EOF
  774.  for declare_fread in 1 0
  775.  do
  776. -    for fread_type in ssize_t size_t int unsigned
  777. +    # Amiga local - reorder below tests to work around pdksh bug
  778. +    # where success will only happen if the first combination
  779. +    # tested is the right one.  -fnf
  780. +    for fread_type in size_t ssize_t int unsigned
  781.      do
  782.          for freadarg_type in size_t ssize_t unsigned int
  783.          do
  784. @@ -1690,7 +1695,8 @@ case $h in
  785.      ($CL a.c $L && $aout) >&2 && h=1 ok=OK
  786.      echo >&3 $ok
  787.  esac
  788. -echo "#define has_fork $h /* Does fork() work?  */"
  789. +# Amiga Hack - has vfork, but not fork.
  790. +echo "#define has_fork 0 /* Does fork() work?  */"
  791.  $PREPARE_CC || exit
  792.  $ech >&3 "$0: configuring has_waitpid $dots"
  793.  if ($CL -DTRY_VFORK=$has_vfork -DTRY_WAITPID=1 a.c $L && $aout) >&2
  794. diff -rup --new-file baseline/fsf/rcs/src/rcsutil.c amiga/fsf/rcs/src/rcsutil.c
  795. --- baseline/fsf/rcs/src/rcsutil.c    Thu Jun 15 23:19:24 1995
  796. +++ amiga/fsf/rcs/src/rcsutil.c    Sat Sep 28 00:00:00 1996
  797. @@ -947,6 +947,12 @@ redirect(old, new)
  798.  
  799.  #else /* !has_fork && !has_spawn */
  800.  
  801. +#ifdef AMIGA
  802. +#define QUOTECHAR   '\"'
  803. +#else
  804. +#define QUOTECHAR   '\''
  805. +#endif
  806. +
  807.      static void bufargcat P((struct buf*,int,char const*));
  808.      static void
  809.  bufargcat(b, c, s)
  810. @@ -960,24 +966,26 @@ bufargcat(b, c, s)
  811.      size_t bl, sl;
  812.  
  813.      for (t=s, sl=0;  *t;  )
  814. -        sl  +=  3*(*t++=='\'') + 1;
  815. +        sl  +=  3*(*t++==QUOTECHAR) + 1;
  816.      bl = strlen(b->string);
  817.      bufrealloc(b, bl + sl + 4);
  818.      p = b->string + bl;
  819.      *p++ = c;
  820. -    *p++ = '\'';
  821. +    *p++ = QUOTECHAR;
  822.      while (*s) {
  823. -        if (*s == '\'') {
  824. -            *p++ = '\'';
  825. +        if (*s == QUOTECHAR) {
  826. +            *p++ = QUOTECHAR;
  827.              *p++ = '\\';
  828. -            *p++ = '\'';
  829. +            *p++ = QUOTECHAR;
  830.          }
  831.          *p++ = *s++;
  832.      }
  833. -    *p++ = '\'';
  834. +    *p++ = QUOTECHAR;
  835.      *p = 0;
  836.  }
  837.  
  838. +#undef QUOTECHAR
  839. +
  840.  #endif
  841.  
  842.  #if !has_spawn && has_fork
  843. @@ -1134,7 +1142,7 @@ runv(infd, outname, args)
  844.  #    endif
  845.  #else
  846.      static struct buf b;
  847. -    char const *p;
  848. +    char const **p;
  849.  
  850.      /* Use system().  On many hosts system() discards signals.  Yuck!  */
  851.      p = args + 1;
  852. @@ -1143,11 +1151,14 @@ runv(infd, outname, args)
  853.          bufargcat(&b, ' ', *p);
  854.      if (infd != -1  &&  infd != STDIN_FILENO) {
  855.          char redirection[32];
  856. -        VOID sprintf(redirection, "<&%d", infd);
  857. +        VOID sprintf(redirection, " <&%d", infd);
  858.          bufscat(&b, redirection);
  859.      }
  860.      if (outname)
  861. +    {
  862. +        bufscat(&b, " ");
  863.          bufargcat(&b, '>', outname);
  864. +    }
  865.      wstatus = system(b.string);
  866.  #endif
  867.  #endif
  868.